XScreenSaver(1)

NAME
pyro - simulate fireworks

SYNOPSIS
pyro [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-count integer] [-frequency integer] [-scatter integer]

DESCRIPTION
The pyro program simulates fireworks, in a way similar to a Macintosh program of the same name.

OPTIONS
pyro accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-count integer
    How many particles should be allowed on the screen at once. Default 100.

-frequency integer
    How often new missiles should launch. Default 30.

-scatter integer
    How many particles should appear when a missile explodes. Default 20. The actual number used is between N and N+(N/2).

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1992 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 13-aug-92.